Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IReportDocument

All Superinterfaces:
  IDocument

    public interface IReportDocument

extends IDocument

A report document (i.e., not modifiable) that can be rendered to other formats in the BIRT presentation engine This is the high-level report document interface.

Field Summary
`static int` | `GLOBAL_VARIABLE_OPTION_ALL`
`static int` | `GLOBAL_VARIABLE_OPTION_JAVA_ONLY`
`static int` | `GLOBAL_VARIABLE_OPTION_JS_ONLY`

Method Summary
`TOCNode` | `findTOC(java.lang.String tocNodeId)` Deprecated. Invoke following code instead: `
         IReportDocument document = ...
         RenderTask renderTask = engine.createRenderTask( document );
         ITOCTree tocTree = renderTask.getTOCTree( );
         ITOCTree tocView = new TOCView( tocTree.getRoot( ), document.getReportDesgin( ), ULocale.getDefault( ),
                                 TimeZone.getDefault( ), "viewer" );
         TOCNode result = tocView.findTOC(tocNodeId);
`
`java.util.List` | `findTOCByName(java.lang.String tocName)` Deprecated. Invoke following code instead: `
         IReportDocument document = ...
         RenderTask renderTask = engine.createRenderTask( document );
         ITOCTree tocTree = renderTask.getTOCTree( );
         ITOCTree tocView = new TOCView( tocTree.getRoot( ), document.getReportDesgin( ), ULocale.getDefault( ),
                                 TimeZone.getDefault( ), "viewer" );
         List result = tocView.findTOCByValue(tocName);
`
`org.eclipse.birt.core.archive.IDocArchiveReader` | `getArchive()`
`InstanceID` | `getBookmarkInstance(java.lang.String bookmark)` Return the instance id of report item with the specified bookmark
`long` | `getBookmarkOffset(java.lang.String bookmark)` Given a report item bookmark, returns the offset of the report content (to support Reportlet).
`java.util.List` | `getBookmarks()`
`java.util.List` | `getChildren(java.lang.String tocNodeId)` Deprecated. Invoke following code instead: `
         IReportDocument document = ...
         RenderTask renderTask = engine.createRenderTask( document );
         ITOCTree tocTree = renderTask.getTOCTree( );
         ITOCTree tocView = new TOCView( tocTree.getRoot( ), document.getReportDesgin( ), ULocale.getDefault( ),
                                 TimeZone.getDefault( ), "viewer" );
         TOCNode node = tocView.findTOC(tocNodeId);
         List result = node.getChildren( );
`
`java.io.InputStream` | `getDesignStream()`
`java.util.Map` | `getGlobalVariables(java.lang.String option)` Deprecated.
`long` | `getInstanceOffset(InstanceID iid)` Given a report item instance id, returns the offset of the report content (to support Reportlet).
`long` | `getPageCount()`
`long` | `getPageNumber(InstanceID iid)` Given a report item instance idD, returns the page number that the instance starts on (to support Reportlet).
`long` | `getPageNumber(java.lang.String bookmark)` Given a bookmark in a report, find the (first) page that the bookmark appears in (for hyperlinks to a bookmark)
`java.util.Map` | `getParameterDisplayTexts()` returns display texts for all the parameters that are used for generating the current report document.
`java.util.Map` | `getParameterValues()` Deprecated. Invoke RenderTask.getParameterValues( ) instead.
`IReportRunnable` | `getPreparedRunnable()` The report runnable is used to create the report document while writing.
`java.lang.String` | `getProperty(java.lang.String key)` Get report document property.
`org.eclipse.birt.report.model.api.ReportDesignHandle` | `getReportDesign()`
`IReportRunnable` | `getReportRunnable()` The report runnable is used to create the report document while writing.
`java.lang.String` | `getSystemId()` return the system id assigned to the document
`ITOCTree` | `getTOCTree(java.lang.String format, com.ibm.icu.util.ULocale locale)` Deprecated. Invoke following code instead: `
         IReportDocument document = ...
         RenderTask renderTask = engine.createRenderTask( document );
         ITOCTree tocTree = renderTask.getTOCTree( );
         ITOCTree result = new TOCView( tocTree.getRoot( ), document.getReportDesgin( ), locale,
                                 TimeZone.getDefault( ), format );
`
`ITOCTree` | `getTOCTree(java.lang.String format, com.ibm.icu.util.ULocale locale, com.ibm.icu.util.TimeZone timeZone)` Deprecated. Invoke following code instead: `
         IReportDocument document = ...
         RenderTask renderTask = engine.createRenderTask( document );
         ITOCTree tocTree = renderTask.getTOCTree( );
         ITOCTree result = new TOCView( tocTree.getRoot( ), document.getReportDesgin( ), locale,
                                 timeZone, format );
`
`java.lang.String` | `getVersion()` Get report document version.
`boolean` | `isComplete()`
`void` | `refresh()` check the current readed checkpoint and the current writed check point.

Methods inherited from interface org.eclipse.birt.report.engine.api.IDocument
`close, getName`

Field Detail

### GLOBAL_VARIABLE_OPTION_ALL

    static final int GLOBAL_VARIABLE_OPTION_ALL

See Also:
  Constant Field Values

### GLOBAL_VARIABLE_OPTION_JAVA_ONLY

    static final int GLOBAL_VARIABLE_OPTION_JAVA_ONLY

See Also:
  Constant Field Values

### GLOBAL_VARIABLE_OPTION_JS_ONLY

    static final int GLOBAL_VARIABLE_OPTION_JS_ONLY

See Also:
  Constant Field Values

Method Detail

### getArchive

    org.eclipse.birt.core.archive.IDocArchiveReader getArchive()

### getVersion

    java.lang.String getVersion()

  Get report document version.

  Returns:
    version

### getProperty

    java.lang.String getProperty(java.lang.String key)

  Get report document property.

  Parameters:
    `key` -
  Returns:
    property

### getDesignStream

    java.io.InputStream getDesignStream()

  Returns:
    a report design stream. This is useful for rerunning a report based on report document

### getReportDesign

    org.eclipse.birt.report.model.api.ReportDesignHandle getReportDesign()

  Returns:
    the report design handle. user always get a new instance from this interface.

### getReportRunnable

    IReportRunnable getReportRunnable()

  The report runnable is used to create the report document while writing. If the report document is open with, the report runnable is used to render or extract data from the report document. user always get a new instance from this interface.

  Returns:
    the runnable report design. It is available because a report document must be run with a report design

### getPreparedRunnable

    IReportRunnable getPreparedRunnable()

  The report runnable is used to create the report document while writing. If the report document is open with, the report runnable is used to render or extract data from the report document. user always get a new instance from this interface.

  Returns:
    the prepared runnable report design. It is available because a report document must be run with a report design

### getParameterValues

    java.util.Map getParameterValues()

  Deprecated. Invoke RenderTask.getParameterValues( ) instead.

  returns values for all the parameters that are used for generating the current report document. Useful for running the report again based on a report document

  Returns:
    parameter name/value pairs for generating the current report document.

### getParameterDisplayTexts

    java.util.Map getParameterDisplayTexts()

  returns display texts for all the parameters that are used for generating the current report document. Useful for running the report again based on a report document

  Returns:
    parameter name/display text pairs for generating the current report document.

### getPageCount

    long getPageCount()

  Returns:
    the page count in the report. Used for supporting page-based viewing

### getPageNumber

    long getPageNumber(InstanceID iid)

  Given a report item instance idD, returns the page number that the instance starts on (to support Reportlet).

  Parameters:
    `iid` - report item instance id
  Returns:
    the page number that the instance appears first

### getInstanceOffset

    long getInstanceOffset(InstanceID iid)

  Given a report item instance id, returns the offset of the report content (to support Reportlet).

  Parameters:
    `iid` - report item instance id
  Returns:
    the offset in the content stream

### getBookmarkOffset

    long getBookmarkOffset(java.lang.String bookmark)

  Given a report item bookmark, returns the offset of the report content (to support Reportlet).

  Parameters:
    `bookmark` - bookmark of the report item.
  Returns:
    the offset in the content stream

### getPageNumber

    long getPageNumber(java.lang.String bookmark)

  Given a bookmark in a report, find the (first) page that the bookmark appears in (for hyperlinks to a bookmark)

  Parameters:
    `bookmarkName` - bookmark name
  Returns:
    the page number that the instance appears first

### getBookmarks

    java.util.List getBookmarks()

  Returns:
    a list of bookmark strings

### getChildren

    java.util.List getChildren(java.lang.String tocNodeId)

  Deprecated. Invoke following code instead: `

           IReportDocument document = ...
           RenderTask renderTask = engine.createRenderTask( document );
           ITOCTree tocTree = renderTask.getTOCTree( );
           ITOCTree tocView = new TOCView( tocTree.getRoot( ), document.getReportDesgin( ), ULocale.getDefault( ),
                                   TimeZone.getDefault( ), "viewer" );
           TOCNode node = tocView.findTOC(tocNodeId);
           List result = node.getChildren( );

  `

  Parameters:
    `tocNodeId` - the id of the parent TOC node. Pass null as the root TOC node
  Returns:
    A list of TOC nodes thata re direct child of the parent node

### findTOC

    TOCNode findTOC(java.lang.String tocNodeId)

  Deprecated. Invoke following code instead: `

           IReportDocument document = ...
           RenderTask renderTask = engine.createRenderTask( document );
           ITOCTree tocTree = renderTask.getTOCTree( );
           ITOCTree tocView = new TOCView( tocTree.getRoot( ), document.getReportDesgin( ), ULocale.getDefault( ),
                                   TimeZone.getDefault( ), "viewer" );
           TOCNode result = tocView.findTOC(tocNodeId);

  `

  get the TOCNode have the id.

  Parameters:
    `tocNodeId` - the id of the toc.
  Returns:
    TOCNode with such an Id. NULL if not founded.

### findTOCByName

    java.util.List findTOCByName(java.lang.String tocName)

  Deprecated. Invoke following code instead: `

           IReportDocument document = ...
           RenderTask renderTask = engine.createRenderTask( document );
           ITOCTree tocTree = renderTask.getTOCTree( );
           ITOCTree tocView = new TOCView( tocTree.getRoot( ), document.getReportDesgin( ), ULocale.getDefault( ),
                                   TimeZone.getDefault( ), "viewer" );
           List result = tocView.findTOCByValue(tocName);

  `

  Gets the TOCNodes with the given name.

  Parameters:
    `tocName` - the name of the toc.
  Returns:
    List of all tocs with the specified name.

### getGlobalVariables

    java.util.Map getGlobalVariables(java.lang.String option)

  Deprecated.

  Returns:
    a map for all the global variables defined in JavaScript or Java

### isComplete

    boolean isComplete()

  Returns:
    whether the document has all been written.

### refresh

    void refresh()

  check the current readed checkpoint and the current writed check point. if equal, do nothing. otherwise, reload the core stream, the checkpoint and page count.

### getTOCTree

    ITOCTree getTOCTree(java.lang.String format,
                        com.ibm.icu.util.ULocale locale)

  Deprecated. Invoke following code instead: `

           IReportDocument document = ...
           RenderTask renderTask = engine.createRenderTask( document );
           ITOCTree tocTree = renderTask.getTOCTree( );
           ITOCTree result = new TOCView( tocTree.getRoot( ), document.getReportDesgin( ), locale,
                                   TimeZone.getDefault( ), format );

  `

  Get the TOC tree

  Parameters:
    `format` - the format to generate the report
    `locale` - the locale information to generate the report

### getTOCTree

    ITOCTree getTOCTree(java.lang.String format,
                        com.ibm.icu.util.ULocale locale,
                        com.ibm.icu.util.TimeZone timeZone)

  Deprecated. Invoke following code instead: `

           IReportDocument document = ...
           RenderTask renderTask = engine.createRenderTask( document );
           ITOCTree tocTree = renderTask.getTOCTree( );
           ITOCTree result = new TOCView( tocTree.getRoot( ), document.getReportDesgin( ), locale,
                                   timeZone, format );

  `

  Get the TOC tree

  Parameters:
    `format` - the format to generate the report
    `locale` - the locale information to generate the report
    `timeZone` - the time zone information to generate the report

### getBookmarkInstance

    InstanceID getBookmarkInstance(java.lang.String bookmark)

  Return the instance id of report item with the specified bookmark

  Parameters:
    `bookmark` - the bookmark of the report item
  Returns:
    the instance id of the report item

### getSystemId

    java.lang.String getSystemId()

  return the system id assigned to the document

  Returns:
    the system id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.